angular.module('openITCOCKPIT')
    .controller('CustomalertRulesAddController', function($scope, $http, $state, NotyService, RedirectService){

        $scope.init = true;
        $scope.hasError = null;


        $scope.post = {
            container_id: null,
            recursive: false,
            name: '',
            description: '',
            host_keywords: '',
            host_not_keywords: '',
            service_keywords: '',
            service_not_keywords: '',
            servicename_regex: ''
        };

        $scope.errors = {};

        $scope.loadContainers = function(){
            $http.get("/containers/loadContainers.json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.containers = result.data.containers;
                $scope.init = false;
            });
        };


        $scope.submit = function(){
            $http.post("/customalert_module/customalert_rules/add.json?angular=true",
                $scope.post
            ).then(function(result){
                var url = $state.href('CustomalertRulesEdit', {id: result.data.customalertRule.id});
                NotyService.genericSuccess({
                    message: '<u><a href="' + url + '" class="txt-color-white"> '
                        + $scope.successMessage.objectName
                        + '</a></u> ' + $scope.successMessage.message
                });
                RedirectService.redirectWithFallback('CustomalertRulesIndex');
            }, function errorCallback(result){
                if(result.data.hasOwnProperty('error')){
                    NotyService.genericError();
                    $scope.errors = result.data.error;
                }
            });
        };

        //Fire on page load
        $scope.loadContainers();
        jQuery(function(){
            $("input[data-role=tagsinput]").tagsinput();
        });
    });
