<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

use Cake\ORM\TableRegistry;
use CustomalertModule\Lib\InitialDatabase\TemplateImport;
use Migrations\AbstractSeed;

/**
 * Initial seed.
 *
 * Apply:
 * oitc migrations seed -p CustomalertModule
 */
class InitialSeed extends AbstractSeed {

    /**
     * Run Method.
     *
     * Write your database seeder using this method.
     *
     * More information on writing seeds is available here:
     * https://book.cakephp.org/phinx/0/en/seeding.html
     *
     * @return void
     */
    public function run(): void {
        $Import = new TemplateImport(
            TableRegistry::getTableLocator()->get('Commands'),
            TableRegistry::getTableLocator()->get('Servicetemplates')
        );
        $Import->import();
    }

}
