<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace CustomalertModule\Lib;


use App\Lib\PluginAclDependencies;

class AclDependencies extends PluginAclDependencies {

    public function __construct() {
        parent::__construct();

        // Add actions that should always be allowed.


        ///////////////////////////////
        //    Add dependencies       //
        //////////////////////////////

        $this
            ->dependency('Customalerts', 'index', 'Customalerts', 'loadContainers')
            ->dependency('Customalerts', 'annotate', 'Customalerts', 'mass_annotate')
            ->dependency('Customalerts', 'annotate', 'Customalerts', 'checkHoststatusForAcknowledgements')
            ->dependency('Customalerts', 'close', 'Customalerts', 'mass_close')
            ->dependency('Customalerts', 'history', 'Customalerts', 'service_history');
    }
}
