angular.module('openITCOCKPIT')
    .controller('CustomalertRulesEditController', function($scope, $http, $stateParams, $state, NotyService, RedirectService){
        $scope.id = $stateParams.id;
        $scope.init = true;

        $scope.hasError = null;


        $scope.hasError = null;
        $scope.errors = {};


        $scope.load = function(){
            var params = {
                'angular': true
            };

            $http.get("/customalert_module/customalert_rules/edit/" + $scope.id + ".json", {
                params: params
            }).then(function(result){
                    $scope.post = result.data.customalertRule;
                    jQuery(function(){
                        $('.tagsinput').tagsinput();
                    });

                    $scope.loadContainers();

                    setTimeout(function(){
                        $scope.init = false;
                    }, 250);
                },

                function errorCallback(result){
                    if(result.status === 403){
                        $state.go('403');
                    }

                    if(result.status === 404){
                        $state.go('404');
                    }
                }
            );
        };


        $scope.loadContainers = function(){
            $http.get("/containers/loadContainers.json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.containers = result.data.containers;
                $scope.init = false;
            });
        };

        $scope.submit = function(){
            $http.post("/customalert_module/customalert_rules/edit/" + $scope.id + ".json?angular=true",
                $scope.post
            ).then(function(result){
                var url = $state.href('CustomalertRulesEdit', {id: $scope.id});
                NotyService.genericSuccess({
                    message: '<u><a href="' + url + '" class="txt-color-white"> '
                        + $scope.successMessage.objectName
                        + '</a></u> ' + $scope.successMessage.message
                });

                RedirectService.redirectWithFallback('CustomalertRulesIndex');
            }, function errorCallback(result){
                if(result.data.hasOwnProperty('error')){
                    NotyService.genericError();
                    $scope.errors = result.data.error;
                }
            });
        };

        //Fire on page load
        $scope.load();
    });
