angular.module('openITCOCKPIT')
    .controller('CustomalertsHistoryController', function($scope, $http, $stateParams){

        $scope.currentPage = 1;
        $scope.useScroll = true;
        $scope.id = $stateParams.id;

        $scope.init = true;

        $scope.load = function(){
            var params = {
                'angular': true
            };
            $http.get("/customalert_module/customalerts/history/" + $scope.id + ".json", {
                params: params
            }).then(function(result){
                    $scope.customalert = result.data.customalert;
                    $scope.history = result.data.history;
                    $scope.scroll = result.data.scroll;


                    setTimeout(function(){
                        $scope.init = false;
                    }, 250);
                },

                function errorCallback(result){
                    if(result.status === 403){
                        $state.go('403');
                    }

                    if(result.status === 404){
                        $state.go('404');
                    }
                }
            );
        };


        //Fire on page load
        $scope.load();
    });
